Bug 305011 - [RHEL 5.1.z]: Tick divider bugs on x86_64
Summary: [RHEL 5.1.z]: Tick divider bugs on x86_64
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.1
Hardware: All
OS: Linux
urgent
medium
Target Milestone: ---
: ---
Assignee: Chris Lalancette
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords: ZStream
Depends On:
Blocks: 315471
TreeView+ depends on / blocked
 
Reported: 2007-09-25 13:16 UTC by Chris Lalancette
Modified: 2009-07-20 09:59 UTC (History)
9 users (show)

Fixed In Version: RHSA-2007-0993
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-29 14:46:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix some of the tick divider problems (3.29 KB, patch)
2007-09-25 13:16 UTC, Chris Lalancette
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0993 normal SHIPPED_LIVE Important: kernel security update 2007-11-29 14:46:49 UTC

Description Chris Lalancette 2007-09-25 13:16:34 UTC
Description of problem:
On x86_64, the tick divider patch seems to have multiple bugs, which cause
problems on VMware ESX server.  In particular, because not all of the clocks are
being properly divided, it needs many more interrupts than a kernel re-compiled
to 100HZ would, and can cause time drift.  The problems identified so far are:

1)  It does not set the local APIC to the "divided" value; it leaves it at the
undivided value.
2)  It does not properly account for lost ticks when using PM-timer (it thinks
there are more lost ticks than there actually are).
3)  It does not properly account for lost ticks when using TSC.

A preliminary patch (based on input from VMware) is attached.

Comment 1 Chris Lalancette 2007-09-25 13:16:35 UTC
Created attachment 205451 [details]
Patch to fix some of the tick divider problems

Comment 3 Alan Cox 2007-10-02 12:37:28 UTC
Looks sane on a first glance

Comment 4 RHEL Product and Program Management 2007-10-02 19:54:26 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Anton Arapov 2007-10-24 20:54:57 UTC
A patch for this issue has been included in build 2.6.18-53.1.2

Comment 8 Mike Gahagan 2007-10-30 21:57:03 UTC
confirmed fix is in the -53.1.2 kernel, looks to have already been verified by
customer.


Comment 9 Mike Gahagan 2007-11-01 16:24:19 UTC
setting back to on_qa as this will go out to customers in a later erratum.


Comment 11 errata-xmlrpc 2007-11-29 14:46:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0993.html



Note You need to log in before you can comment on or make changes to this bug.